export function NumFormat(value) {
    //处理金额
    if (value) {
        return Number(value).toFixed(2)
    } else {
        return '0.00'
    }
}
/**
 *款项类型
 *1.订单款 2.非订单款 3.返佣款 4.订单款或者非订单款（因财务阶段无法区分订单非订单
 *5.供应商退款 6.平台服务费 7.平台服务费欠款
 */
export function formatReceiptType(value) {
    const map = {
        1: '订单',
        2: '非订单',
        3: '返佣',
        4: '订单款或者非订单款',
        5: '供应商退款',
        10: '平台服务费',
        11: '平台服务费欠款'
		
    }
    return map[value]
}
/**
 *收款状态
 *1.待确认、2.已确认(待审核)、3.审核通过、4.审核未通过、5.收款撤销【线上支付成功为审核通过】
 */
export function formatStateType(value) {
    const map = {
        1: '待确认',
        2: '已确认(待审核)',
        3: '审核通过',
        4: '审核未通过',
        5: '收款撤销'
    }
    return map[value]
}
/**
 *非订单类别
 *1.上架费、2.订单返佣、3.认证通会员、4.认证通企划、5.其他
 */
export function formatNewReceiptType(value) {
    const map = {
	    1: '上架费',
	    2: '服务返佣',
	    3: '认证通会员',
	    4: '认证通企划',
	    5: '其他',
    }
    if (value) {
        return map[value]
    }else{
        return ''
    }
}

/**
 *订单来源
 *0.服务商订单、1.自主订单、2.客服订单
 */
export function formatOrderType(value) {
    const map = {
        0: '服务商订单',
        1: '自主订单',
        2: '客服订单',
    }
    return map[value]
}
/**
 *订单状态
 */
export function stateExpFormat(value) {
    const map = {
        0: '待确认',
        2: '交易完成',
        4: '已关闭',
        5: '交易全退',
        6: '交易全退',
        11: '待收款待发货',
        12: '待收款部分发货',
        13: '待收款已发货',
        21: '部分收款待发货',
        22: '部分收款部分发货',
        23: '部分收款已发货',
        31: '已收款待发货',
        32: '已收款部分发货',
        33: '已收款已发货'
    }
    return map[value]
}
/**
 *组织名称
 *0.采美、3.维沙、4.丽格
 */
export function organizeName(value) {
    const map = {
        0: '采美',
        3: '维沙',
        4: '丽格',
    }
    return map[value]
}